package dev.jansel.aglaea.database.entities

import kotlinx.serialization.Serializable

@Serializable
data class ReplayData(
	val id: String,
	val replayFile: ByteArray,
) {
	override fun equals(other: Any?): Boolean {
		if (this === other) return true
		if (javaClass != other?.javaClass) return false

		other as ReplayData

		if (id != other.id) return false
		if (!replayFile.contentEquals(other.replayFile)) return false

		return true
	}

	override fun hashCode(): Int {
		var result = id.hashCode()
		result = 31 * result + replayFile.contentHashCode()
		return result
	}
}
